dbsessmgr(1)

NAME
dbsessmgr - session state database manager

SYNOPSIS
mono dbsessmgr.exe [options]

DESCRIPTION
dbsessmgr allows you to manage the ASP.NET session state database.

OPTIONS

--clean
    Remove all expired sessions.

--remove
    Delete all sessions.

--show
    Display session data.

CONFIGURATION
You can choose the assembly and type used to connect to your database backend and also set the connection string and the SQL parameter prefix through the configuration file, named dbsessmgr.exe.config. The configuration shipped by default is:
    <appSettings>
	<add key="DBProviderAssembly"
	     value="Npgsql"/>
	<add key="DBConnectionType"
	     value="Npgsql.NpgsqlConnection"/>
	<add key="DBConnectionString"
	     value="SERVER=127.0.0.1;USER ID=monostate;PASSWORD=monostate;dbname=monostate"/>
	<add key="DBParamPrefix"
	     value=":" />
    </appSettings>

AUTHORS
dbsessmgr was written by Jackson Harper (jackson@ximian.com).

SEE ALSO
mono(1),xsp(1),asp-state(1),mod_mono(8)

MORE INFORMATION
The Mono project (http://www.go-mono.com) is a collaborative effort led by Novell (http://www.novell.com) to implement an open source version of the .NET Framework.